package model

import (
	"time"

	"github.com/google/uuid"
	"github.com/uptrace/bun"
)

type User struct {
	bun.BaseModel `bun:"base_model,table:users,alias:user"`

	ID        int64     `bun:"id,pk,autoincrement,identity"`
	Name      string    `bun:"name,type:varchar(255),notnull"`
	NameLower string    `bun:"name_lower,type:varchar(255),notnull,unique"`
	ApiKey    uuid.UUID `bun:"api_key,type:uuid,unique"`
	CreatedAt time.Time `bun:"created_at,nullzero,notnull,default:current_timestamp"`
}
